=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
-	$(overridden_command) --destdir=debian/tmp
+	$(overridden_command)
+	rm -rf debian/rocs/usr/include/
+	find debian/rocs -name '*.so' -type l -delete
 
 .PHONY: override_dh_auto_test
