## rocs 20.08.1

=== debian/changelog ===
rocs (4:20.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:47:09 +0200

rocs (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Depend on qml-module-qtqml-statemachine, needed by the QML bits.
    (Closes: #962531)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 08:41:20 +0200

rocs (4:20.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.11.0
    - remove libqt5webkit5-dev, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 11:17:55 +0200
