=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Pino Toscano <pino@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.3.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
                libboost-dev (>= 1.49~),
@@ -22,14 +22,14 @@
                libkf5itemviews-dev (>= 5.15~),
                libkf5texteditor-dev (>= 5.15~),
                libkf5xmlgui-dev (>= 5.15~),
-               libqt5svg5-dev (>= 5.4),
-               libqt5webkit5-dev (>= 5.4),
-               libqt5xmlpatterns5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.11.0~),
+               libqt5xmlpatterns5-dev (>= 5.11.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qtscript5-dev (>= 5.11.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs
@@ -37,7 +37,8 @@
 Package: rocs
 Architecture: any
 Section: math
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ qml-module-qtqml-statemachine,
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: graph theory IDE
